For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • GETGet Suppression List
      • POSTAdd User to Suppression List
      • DELDelete User from Suppression List
LogoLogo
LoginTalk to us
API ReferenceSuppression List

Get Suppression List

GET
https://api.fyno.io/v1/:WSID/suppressions
GET
/v1/:WSID/suppressions
$curl https://api.fyno.io/v1/FYXXXXXXXX/suppressions \
> -H "Authorization: Bearer <apiKey>"
1[
2 {
3 "_id": "68763be4b8cee01156d9fa8a",
4 "destination": "919XXXXXXXX",
5 "distinct_id": "XXXX-XXX-XXXX",
6 "channel": "sms",
7 "description": "DND",
8 "created_at": "2025-07-15T16:20:16.302+05:30",
9 "expiry_ts": "2025-07-15T16:25:16.302+05:30"
10 }
11]

The Suppression List API enables you to manage users who should be excluded from receiving communications on specific channels.

This API enables you to retrieve the list of all suppressed users across various channels.

Was this page helpful?
Previous

Add User to Suppression List

Next
Built with

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

Response

Suppression list fetched.
_idstring
Unique identifier of the suppression record
destinationstring
Phone number or email of the suppressed user
distinct_idstring

Unique identifier (used as an alternative to destination)

channelstring

Communication channel (e.g., sms, whatsapp, email)

descriptionstring

Reason or tag for suppression (e.g., “DND”, “Testing”).

created_atstring
Timestamp when the suppression was created
expiry_tsstring
Optional timestamp for expiration of suppression

Errors

401
Unauthorized Error